Bug 38293 - setup.log time-shifted (due to buffering)
setup.log time-shifted (due to buffering)
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: UMC - Basic settings
UCS 4.0
Other Linux
: P5 normal (vote)
: UCS 4.0-1-errata
Assigned To: Alexander Kläser
Erik Damrose
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-04-17 15:07 CEST by Janek Walkenhorst
Modified: 2015-04-30 12:32 CEST (History)
3 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional): Troubleshooting, Usability
Max CVSS v3 score:
klaeser: Patch_Available+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Janek Walkenhorst univentionstaff 2015-04-17 15:07:19 CEST
The content
 /var/log/univention/setup.log
lags in time during the initial (appliance mode) system setup via HTTP.

This is presumably due to buffering (/missing flushes) in the process writing that file.
Comment 1 Alexander Kläser univentionstaff 2015-04-17 17:29:06 CEST
(In reply to Janek Walkenhorst from comment #0)
> The content
>  /var/log/univention/setup.log
> lags in time during the initial (appliance mode) system setup via HTTP.
> 
> This is presumably due to buffering (/missing flushes) in the process
> writing that file.

Yes, cf. umc/python/setup/util.py → run_joinscript() → runit() , as discussed there should probably be a f.flush() after f.write(line).
Comment 2 Alexander Kläser univentionstaff 2015-04-22 12:45:27 CEST
Fixed.

r60062 | Bug #38293: flush lines when writing to setup.log
Comment 3 Alexander Kläser univentionstaff 2015-04-22 13:10:30 CEST
Package has been build, YAML file has been added.

r60069 | Bug #37771, Bug #35550, Bug #38293: added YAML entries
Comment 4 Erik Damrose univentionstaff 2015-04-27 12:44:30 CEST
OK: Immediate feedback of system setup actions in the logfile /var/log/univention/setup.log
OK: yaml
Verified
Comment 5 Janek Walkenhorst univentionstaff 2015-04-30 12:32:29 CEST
<http://errata.univention.de/ucs/4.0/161.html>